searchData={"items":[{"type":"module","title":"PhxConfigUtil","doc":"Utility functions to configure Elixir/ Phoenix apps.","ref":"PhxConfigUtil.html"},{"type":"module","title":"PhxConfigUtil.BindToIp","doc":"Parse shortcuts or string representations to IP addresses.\n\n# PhxConfigUtil.BindToIp.parse!/1\n\nExpects a string representation of an IP address\nor one of the following shortcuts:\n\n* `all4` - All IPv4 addresses (\"0.0.0.0\")\n* `all6` - All IPv6 addresses (\"::\")\n* `local4` - Local IPv4 address (\"127.0.0.1\")\n* `local6` - Local IPv6 address (\"::1\")\n* `tailscale4` - Tailscale IPv4 address (uses `tailscale ip -4`)\n* `tailscale6` - Tailscale IPv6 address (uses `tailscale ip -6`)","ref":"PhxConfigUtil.BindToIp.html"},{"type":"module","title":"Examples - PhxConfigUtil.BindToIp","doc":"iex> PhxConfigUtil.BindToIp.parse!(\"all4\")\n    {0, 0, 0, 0}\n\n    iex> PhxConfigUtil.BindToIp.parse!(\"local4\")\n    {127, 0, 0, 1}\n\n    iex> PhxConfigUtil.BindToIp.parse!(\"all6\")\n    {0, 0, 0, 0, 0, 0, 0, 0}\n\n    iex> PhxConfigUtil.BindToIp.parse!(\"local6\")\n    {0, 0, 0, 0, 0, 0, 0, 1}\n\n    iex> PhxConfigUtil.BindToIp.parse!(\"172.16.0.1\")\n    {172, 16, 0, 1}","ref":"PhxConfigUtil.BindToIp.html#module-examples"},{"type":"function","title":"PhxConfigUtil.BindToIp.parse!/1","doc":"","ref":"PhxConfigUtil.BindToIp.html#parse!/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}